org.keycloak.saml.processing.core.saml.v2.writers

## Class SAMLRequestWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter
  - - org.keycloak.saml.processing.core.saml.v2.writers.SAMLRequestWriter

-     public class SAMLRequestWriter
      extends BaseWriter

  Writes a SAML2 Request Type to Stream
  Since:
    Nov 2, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `ASSERTION_PREFIX, logger, PROTOCOL_PREFIX, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLRequestWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(ArtifactResolveType request)`
    `void` | `write(AttributeQueryType request)`
    `void` | `write(AuthnRequestType request)` Write a `AuthnRequestType` to stream
    `void` | `write(LogoutRequestType logOutRequest)` Write a `LogoutRequestType` to stream
    `void` | `write(NameIDPolicyType nameIDPolicy)` Write a `NameIDPolicyType` to stream
    `void` | `write(RequestedAuthnContextType requestedAuthnContextType)` Write a `RequestedAuthnContextType` to stream

    - ### Methods inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `write, write, write, write, write, writeAttributeTypeWithoutRootTag, writeDateAttributeValue, writeLocalizedNameType, writeNameIDTypeAttributeValue, writeStringAttributeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLRequestWriter

          public SAMLRequestWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### write

          public void write(AuthnRequestType request)
                     throws ProcessingException

      Write a `AuthnRequestType` to stream
      Parameters:
        `request` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(LogoutRequestType logOutRequest)
                     throws ProcessingException

      Write a `LogoutRequestType` to stream
      Parameters:
        `logOutRequest` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(NameIDPolicyType nameIDPolicy)
                     throws ProcessingException

      Write a `NameIDPolicyType` to stream
      Parameters:
        `nameIDPolicy` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(RequestedAuthnContextType requestedAuthnContextType)
                     throws ProcessingException

      Write a `RequestedAuthnContextType` to stream
      Parameters:
        `requestedAuthnContextType` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(ArtifactResolveType request)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(AttributeQueryType request)
                     throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.